<?php 
add_filter('the_content', 'api_the_content');
function api_the_content( $content ){
	global $post;
	$config = get_option('api_options'); 
	add_thickbox(); 

	
	if( is_front_page() && get_post_type( $post->ID ) == 'post' && get_post_meta( $post->ID, 'ASIN', true ) != '' ){
		
		
		if( $config['use_image'] == 'yes' ){
			$img = '<img  class="l_image" src="'.get_post_meta( $post->ID, 'medium_URL', true ).'" />';
			
		}
		$content = $img.$content;
	}
	if( is_single() && get_post_type( $post->ID ) == 'post' && get_post_meta( $post->ID, 'ASIN', true ) != '' ){
		$out .= '<div class="top_cont">';
		$pxml = get_reviews_azon( get_post_meta( $post->ID, 'ASIN', true ) );
		$ifarme_url = (string)$pxml->Items->Item[0]->CustomerReviews->IFrameURL;
		
		if( $config['use_image'] == 'yes' ){
			$img = '<img  class="l_image" src="'.get_post_meta( $post->ID, 'large_URL', true ).'" />';
			
		}
		
		
		$out .= '
		<div class="l_image1">
			'.$img.'
			<div class="descr_title"><h2>Product Features</h2></div>'.get_post_meta( $post->ID, 'features', true )."
		
		
		<div class='bottom_price' >
			".( get_post_meta( $post->ID, 'FormattedPrice', true ) ? "<div class='price'>New Price: ".get_post_meta( $post->ID, 'FormattedPrice', true )."</div>" : '' )."
				".( get_post_meta( $post->ID, 'ListPrice', true ) ? "<div class='old_price'>Old Price: ".get_post_meta( $post->ID, 'ListPrice', true )."</div>" : '' )."
				".( get_post_meta( $post->ID, 'AmountSaved', true ) ? "<div class='saved'>You Save: ".get_post_meta( $post->ID, 'AmountSaved', true )."</div>" : '' )."
				
				".( get_post_meta( $post->ID, 'renew_timestamp', true ) ? ' (as of '.date( 'h:i T' , get_post_meta( $post->ID, 'renew_timestamp', true )).' - <a class="thickbox" href="#TB_inline?width=500&height=150&inlineId=my-content-id">More info</a>)' : '' )."
				
				<div id='my-content-id' style='display:none;'>
				 <p>
					 Product prices and availability are accurate as of the date/time indicated and are subject to change. Any price and availability information displayed on [relevant Amazon Site(s), as applicable] at the time of purchase will apply to the purchase of this product.
				 </p>
			</div>
				
				
				<div class='button_block'>
				<a href='".get_post_meta( $post->ID, 'DetailPageURL', true )."'><img src='";
		switch( $config['button2use'] ){
			case "1":
			$out .= plugins_url( '/images/buy-on-amazon.png', __FILE__ );
			break;
			case "2":
			$out .= plugins_url( '/images/buy-now-amazon.png', __FILE__ );
			break;
			case "3":
			$out .= plugins_url( '/images/add-to-cart.png', __FILE__ );
			break;
			case "4":
			$out .= plugins_url( '/images/buy-now.png', __FILE__ );
			break;
			default:
			$out .= plugins_url( '/images/buy-on-amazon.png', __FILE__ );
			break;
			
		}
				
		
		$out .= "' /></a>				
				</div>
			</div>
		</div>
		</div>
		<br/>
		
		<div class='descr_title rew_block'><h2>Product Description</h2></div>
		<div class='cont_bl_list'>
		".$content."
		<br/>
		<div class='bottom_price'>
		<a href='".get_post_meta( $post->ID, 'DetailPageURL', true )."'><img src='";
		switch( $config['button2use'] ){
			case "1":
			$out .= plugins_url( '/images/buy-on-amazon.png', __FILE__ );
			break;
			case "2":
			$out .= plugins_url( '/images/buy-now-amazon.png', __FILE__ );
			break;
			case "3":
			$out .= plugins_url( '/images/add-to-cart.png', __FILE__ );
			break;
			case "4":
			$out .= plugins_url( '/images/buy-now.png', __FILE__ );
			break;
			default:
			$out .= plugins_url( '/images/buy-on-amazon.png', __FILE__ );
			break;
			
		}

		$out .= "' /></a>
		</div>
		</div>
		<br/>
		<div class='descr_title rew_block'><h2>Customer Reviews</h2></div>
		<iframe class='azon_reviews' width='100%'  src='".$ifarme_url."' ></iframe>
		";
		$content = $out;
	}
	
	return $content;
}

add_filter('the_title', 'process_title');
function process_title( $title ){
		global $post;
		
		if( is_single() ){
			if( time() - (int)get_post_meta( $post->ID, 'renew_timestamp', true ) > 24*60*60 ){
				$pxml_arr = get_single_item( get_post_meta( $post->ID, 'ASIN', true ) );			
				foreach( $pxml_arr[0]->Items->Item as $single_item ){

					update_post_meta( $post->ID, 'AmountSaved', (string)$single_item->Offers->Offer->OfferListing->AmountSaved->FormattedPrice );
					update_post_meta( $post->ID, 'ListPrice', (string)$single_item->ItemAttributes->ListPrice->FormattedPrice );
					update_post_meta( $post->ID, 'FormattedPrice', (string)$single_item->Offers->Offer->OfferListing->Price->FormattedPrice );
					
				}
				update_post_meta( $post->ID, 'renew_timestamp', time() );
			}
		}
	return $title;	
}

?>