<?php 
	
add_action('admin_menu', 'api_item_menu');

function api_item_menu() {
	add_submenu_page( 'edit.php',  __('Amazon Settings', 'sc'), __('Amazon Settings', 'sc'), 'edit_published_posts', 'api_config', 'api_config');
	
	add_submenu_page( 'edit.php',  __('Import', 'sc'), __('Import', 'sc'), 'edit_published_posts', 'api_import', 'api_import');
	
}

function api_config(){

?>
<div class="wrap tw-bs">
<h2><?php _e('Settings', 'sc'); ?></h2>
<hr/>





 <?php 
 if(  wp_verify_nonce( $_POST['settings_nonce'], 'settings_action' ) ): ?>
  <div id="message" class="updated" ><?php _e('Settings saved successfully', 'sc'); ?></div>  
  <?php 
	foreach( $_POST as $key=>$value ){
		$api_options[$key] = $value;
	}
  update_option('api_options', $api_options );
  ?>
  <?php else:  ?>
   
  <?php endif; ?> 
<form class="form-horizontal" method="post" action="">
<?php echo wp_nonce_field('settings_action','settings_nonce', true, false);  
$config = get_option('api_options'); 
?>  
<fieldset>  
		
		<div class="control-group">  
            <label class="control-label" for="optionsCheckbox">Amazon Tracking ID</label>  
            <div class="controls">  
              <label class="">  
               <input type="text" class="input-xlarge" name="tracking_id" value="<?php echo $config['tracking_id']; ?>"> 
              </label>  
            </div>  
          </div>
		<div class="control-group">  
            <label class="control-label" for="optionsCheckbox">Amazon Access Key</label>  
            <div class="controls">  
              <label class="">  
               <input type="text" class="input-xlarge" name="access_key" value="<?php echo $config['access_key']; ?>"> 
              </label>  
            </div>  
          </div>
		  <div class="control-group">  
            <label class="control-label" for="optionsCheckbox">Amazon Secret Key</label>  
            <div class="controls">  
              <label class="">  
               <input type="text" class="input-xlarge" name="secret_key" value="<?php echo $config['secret_key']; ?>"> 
              </label>  
            </div>  
          </div>
		  
		  <div class="control-group">  
            <label class="control-label" for="optionsCheckbox">Amazon Country</label>  
            <div class="controls">  
              <label class="">  
               <select id="cntr" name="country">
				<option value="com" <?php if( $config['country'] == 'com') echo ' selected '; ?> >Amazon.com</option>
				<option value="co.uk" <?php if( $config['country'] == 'co.uk') echo ' selected '; ?> >Amazon.co.uk</option>
				<option value="ca" <?php if( $config['country'] == 'ca') echo ' selected '; ?> >Amazon.ca</option>
				<option value="de" <?php if( $config['country'] == 'de') echo ' selected '; ?> >Amazon.de</option>
				<option value="es" <?php if( $config['country'] == 'es') echo ' selected '; ?> >Amazon.es</option>
				<option value="it" <?php if( $config['country'] == 'it') echo ' selected '; ?> >Amazon.it</option>
				<option value="fr" <?php if( $config['country'] == 'fr') echo ' selected '; ?> >Amazon.fr</option>
				</select>
              </label>  
            </div>  
          </div>

		  <div class="control-group">  
            <label class="control-label" for="optionsCheckbox">Show Images</label>  
            <div class="controls">  
              <label class="">  
               <select id="cntr" name="use_image">
				<option value="no" <?php if( $config['use_image'] == 'no' )  echo  ' selected ';  ?> >No</option>
				<option value="yes" <?php if( $config['use_image'] == 'yes' )  echo  ' selected ';  ?> >Yes</option>
				
				</select>
              </label>  
            </div>  
          </div>
		  <div class="control-group">  
            <label class="control-label" for="optionsCheckbox">Add To Cart Button</label>  
            <div class="controls">  
				<div class="img_cont">
					<div class="single_image">
						<input type="radio" name="button2use" value="1" <?php if( $config['button2use'] == '1' ) echo ' checked '; ?> />
						<img src="<?php echo plugins_url('images/buy-on-amazon.png', __FILE__ ); ?>" />
					</div>
					<div class="single_image">
						<input type="radio" name="button2use" value="2" <?php if( $config['button2use'] == '2' ) echo ' checked '; ?> />
						<img src="<?php echo plugins_url('images/buy-now-amazon.png', __FILE__ ); ?>" />
					</div>
					<div class="single_image">
						<input type="radio" name="button2use" value="3" <?php if( $config['button2use'] == '3' ) echo ' checked '; ?> />
						<img src="<?php echo plugins_url('images/add-to-cart.png', __FILE__ ); ?>" />
					</div>
					<div class="single_image">
						<input type="radio" name="button2use" value="4" <?php if( $config['button2use'] == '4' ) echo ' checked '; ?> />
						<img src="<?php echo plugins_url('images/buy-now.png', __FILE__ ); ?>" />
					</div>
				</div>
              </label>  
            </div>  
          </div>
		  
 
          <div class="form-actions">  
            <button type="submit" class="btn btn-primary">Save Settings</button>  
          </div>  
        </fieldset>  

</form>




</div>


<?php 
}

function api_import(){
?>
<div class="wrap tw-bs">
<h2><?php _e('Import', 'sc'); ?></h2>


<?php 
 if(  wp_verify_nonce( $_POST['import_list_nonce'], 'import_list_action' ) ): ?> 
 <?php 
	$all_ids = $_POST['ids'];
	$pxml_arr = get_back_object();
	$big_cnt = 0;
	for($i=0; $i<=5; $i++){
		foreach( $pxml_arr[$i]->Items->Item as $single_item ){

			$content_bl = array();
			foreach( $single_item->ItemAttributes->Feature as $single_line ){
				$content_bl[] = '<li>'.$single_line.'</li>';			
			}

			if( !in_array( (string)$single_item->ASIN, $all_ids ) ) continue;

			$my_post = array(
			  'post_title'    => (string)$single_item->ItemAttributes->Title,
			  'post_content'  => nl2br( (string)$single_item->EditorialReviews->EditorialReview->Content ),
			  'post_status'   => 'publish',
			  'post_type' => 'post',
			  'post_author'   => 1,
			);
			#var_dump( $my_post );
			
			// Insert the post into the database		
			$new_id = wp_insert_post( $my_post );
			update_post_meta( $new_id, 'ASIN', (string)$single_item->ASIN );
			update_post_meta( $new_id, 'features', '<ul>'.implode( '', $content_bl ) .'</ul>');
			update_post_meta( $new_id, 'AmountSaved', (string)$single_item->Offers->Offer->OfferListing->AmountSaved->FormattedPrice );
			update_post_meta( $new_id, 'ListPrice', (string)$single_item->ItemAttributes->ListPrice->FormattedPrice );
			update_post_meta( $new_id, 'FormattedPrice', (string)$single_item->Offers->Offer->OfferListing->Price->FormattedPrice );
			update_post_meta( $new_id, 'DetailPageURL', (string)$single_item->DetailPageURL );
			
			update_post_meta( $new_id, 'large_URL', (string)$single_item->LargeImage->URL );
			update_post_meta( $new_id, 'medium_URL', (string)$single_item->MediumImage->URL );
			
			set_featured_image( $new_id, urldecode ( (string)$single_item->LargeImage->URL ) );
			$big_cnt++;
		}
	}
 ?>
 
<div id="message" class="updated" ><?php echo $big_cnt; ?><?php _e(' product(s) added', 'sc'); ?></div> 
 <?php endif; ?>



<?php
 if(  wp_verify_nonce( $_POST['import_nonce'], 'import_action' ) ): ?>
  <div id="message" class="updated" ><?php _e('Settings saved successfully', 'sc'); ?></div>  
  <?php 
  $api_import = array();
	foreach( $_POST as $key=>$value ){
		$api_import[$key] = $value;
	}
	update_option('api_import', $api_import );
    $pxml = get_back_object();
  endif; 
?> 
<form class="form-horizontal" method="post" action="">
<?php 
echo wp_nonce_field('import_action','import_nonce', true, false);  
$config = get_option('api_import'); 
?>  
<fieldset>  		
		<div class="control-group">  
            <label class="control-label" for="optionsCheckbox">Keyword</label>  
            <div class="controls">  
              <label class="">  
               <input type="text" class="input-xlarge" name="keyword" value="<?php echo $config['keyword']; ?>"> 
              </label>  
            </div>  
          </div>
          <div class="form-actions">  
            <button type="submit" class="btn btn-primary">Process Keyword</button>  
          </div>  
        </fieldset>  
</form>

<br/><hr/><br/>
 


 
<?php 

if(  wp_verify_nonce( $_POST['import_nonce'], 'import_action' ) ): ?> 
 
<form class="form-horizontal" method="post" action="">
<?php echo wp_nonce_field('import_list_action','import_list_nonce', true, false);  
$config = get_option('api_import'); 
?>  
<fieldset>  		
		<div class="control-group">  
		  <table class="table  table-striped b_1 big_list">  
        <thead>  
          <tr>  
            <th><input type="checkbox" id="check_all"   /></th>  
			<th>In Base</th>
			<th>Icon</th>
            <th>ASIN</th>  
            <th>Title</th>  			
          </tr>  
        </thead>  
        <tbody>  
   <?php 
   $pxml_arr = get_back_object();
   #var_dump( count($pxml_arr) );
   $cntr = 0;
   for($i=0; $i<=5; $i++){
	   if( count($pxml_arr[$i]) == 0  ) continue;
		  	foreach( $pxml_arr[$i]->Items->Item as $single_item ){	

			
			
			$args = array(
				'meta_key'     => 'ASIN',
				'meta_value'   => (string)$single_item->ASIN,
				'post_type'    => 'post'
			);
			$query_res = get_posts( $args );			
			echo '
			<tr> 				
				<td><input type="checkbox" class="item_check" name="ids[]" value="'.$single_item->ASIN.'" /></td>  
				<td>'.( COUNT($query_res) > 0 ? 'Yes' : '' ).'</td>
				<td><img style="width:50px;" src="'.$single_item->SmallImage->URL.'" /></td>
				<td>'.$single_item->ASIN.'</td>  
				<td>'.$single_item->ItemAttributes->Title.'</td>  
			  </tr>
			';
			$cntr++;
		}
   }
   ?>           
        </tbody>  
		<tfoot>  
          <tr>  
            <td>&nbsp;</td>  
			<td>&nbsp;</td> 
            <td>&nbsp;</td>  
            <td>&nbsp;</td>  
            <td>Total: <?php echo $cntr; ?></td>  
          </tr>  
        </tfoot> 

      </table>  
          </div>  		  
          <div class="form-actions">  
            <button type="submit" class="btn btn-primary">Add Posts</button>  
          </div>  
        </fieldset>  

</form>
<?php endif; ?>


</div>


<?php 
}
?>