<?php
if(!defined("ABSPATH"))
	die(); // No direct access pls

if (!class_exists('IMWB_Facebook')) 
   require_once WP_PLUGIN_DIR.'/'.IMWB_CSTCP_FOLDER."/facebook-api/facebook.php";
   
if(!empty($this->options['facebookappid']) && !empty($this->options['facebookappsecret'])) {
   
   $facebook = new IMWB_Facebook(array(
     'appId'  => $this->options['facebookappid'],
     'secret' => $this->options['facebookappsecret'],
   ));
   
   
   if(isset($_REQUEST['action']) && $_REQUEST['action'] == 'fb_logout' ) {
      $facebook->clearAllPersistentData();
   }
   
   // Get User ID
   $fb_user = $facebook->getUser();
   $fb_user_token = $facebook->getAccessToken();
 
   if (!$fb_user) 
     $fb_loginUrl = $facebook->getLoginUrl(Array('scope' => 'publish_stream, manage_pages, publish_actions'));
  else {  
     //$fql_query = 'SELECT page_id, name, page_url FROM page WHERE page_id IN (SELECT page_id FROM page_admin WHERE uid='.$fb_user.')';
     //$fb_userPages = $facebook->api(array( 'method' => 'fql.query', 'query' => $fql_query ));
     $fb_userPages = $facebook->api( '/me/accounts', 'GET', array( 'fields' => 'id,name,category,access_token,perms', 'ref' => 'fbwpp' ) );    
     $fb_logoutUrl = $facebook->getLogoutUrl(Array('action' => 'fb_logout'));
  }
}
else 
   $fb_user = false;
   
$updateMessage = '';
	
if (isset($_POST['imwb_covertstorecontent_pro_runmodules'])) {
   $this->do_posts(true);
}
else if (isset($_POST['update_imwb_covertstorecontentSettings'])) { 

   $update = Array();
   foreach ($_REQUEST['imwb_covertstorecontent_pro_options'] as $key => $value) 
		$update[$key] = trim($value);
      
   update_option($this->plugin_name."-AdminOptions", $update);
	$this->options = $update;

   $updateMessage .= '<div class="imwb_cabar_active_panel"><p><strong>Settings Updated </strong></p></div>';
} 


$post_options = array(
	'0' => array('label' => __('Published', 'imwb_covertstorecontent')),
	'1' => array('label' => __('Draft', 'imwb_covertstorecontent'))
);

$region_options = array(
		    			"com" => array("label" =>  "US (default)"),
		    			"co.uk" => array("label" => "United Kingdom"),
		    			"ca" => array("label" => "Canada"),
		    			"cn" => array("label" => "China"),
  						"fr" => array("label" => "France"),
		    			"de" => array("label" => "Germany"),
   	    			"in" => array("label" => "India"),
                  "it" => array("label" => "Italy"),		    
		    			"co.jp" => array("label" => "Japan"),
		    			"es" => array("label" => "Spain")); 
		    			
$ebay_country_options = array("0" => array("label" => "United States"),
                     	 "3" => array("label" => "United Kingdom"),
                      	 "2" => array("label" => "Canada"),
                       	 "210" => array("label" => "Canada (French)"),
                     	 "15" => array("label" => "Australia"),
                     	 "16" => array("label" => "Austria"),
                     	 "123" => array("label" => "Belgium (Dutch)"),                     	 
                     	 "23" => array("label" => "Belgium (French)"),
                     	 "223" => array("label" => "China"),                     	 
                     	 "71" => array("label" => "France"),
                     	 "77" => array("label" => "Germany"),
                      	 "201" => array("label" => "Hong Kong"),
                     	 "100" => array("label" => "eBay Motors"),
                     	 "203" => array("label" => "India"),                     	 
                     	 "205" => array("label" => "Ireland"),                           	 
                     	 "101" => array("label" => "Italy"),
                     	 "146" => array("label" => "Netherlands"),
                     	 "186" => array("label" => "Spain"),
                     	 "193" => array("label" => "Switzerland"),
                     	 "196" => array("label" => "Taiwan")); 		    			
?>	
<div class="wrap">
<?php 

if($this->update->update['latest_version'] > IMWB_CSTCP_VERSION)
   echo '<div class="imwb_cabar_active_panel"><p><strong>'.$this->update->update['after_plugin_row'].'</strong></p></div>';

 ?>
<div id="imwb_plugin_header">
<a href="http://imwealthbuilders.com" target="_blank"><img src="<?php echo $this->plugin_url. '/pages/images/imwblogo.png';?>"></a>
<span id="imwb_plugin_header_link"><a href="http://imwealthbuilders.com/newplugins" target="blank">Click Here To See Our Latest WP Plugins</a></span>
<h2>Covert Store Content</h2>
<div style="clear: both"></div>
</div>
<?php echo $updateMessage;?>
<div id="imwb_plugin_options_editor">
<div class="icon32" id="icon-link-manager"><br></div><h2>Settings - <small><a href="http://covertcontent.com/store/help/std_help.html" target="_blank">Click Here For Help</a></small></h2>
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
<div class="imwb_cabar_active_panel">
<p><strong>Welcome to the Covert Store Content admin area.</strong></p>
<p>In order to make the plugin work
<ol>
<li>Enter the keywords you want to create automatic posts for on your blog. You can enter up to <?php echo $this->num_keywords;?> Keywords. With each keyword on a separate line.</li>
<li>Configure the defaults for how the content is acquired and posted to your blog.</li>
<li>Enter the API Details for the various content networks you want to use.</li>
<li>Configure the various content modules to set how the module will run and set them active</li>
</ol>
</p>
<p><strong>Next Auto Blogging Schedule</strong></p>
<p>Next scheduled run of active auto blogging modules is
<?php 
$nextRun = wp_next_scheduled($this->plugin_name.'_cron_event');
echo date_i18n(get_option('date_format') ,$nextRun+get_option( 'gmt_offset' ) * 3600).' at ';
echo date_i18n(get_option('time_format') ,$nextRun+get_option( 'gmt_offset' ) * 3600);
?>
 <input class="button-primary" type="submit" name="imwb_covertstorecontent_pro_runmodules" value="<?php _e('Run Now', 'imwb_covertstorecontent') ?>" />
 </p>
</div>
<?php 
if($errors != '') {
   echo '<div class="imwb_cabar_active_panel errormsg"><p><strong>The following error(s) occured durring the last run</strong></p>';
   echo $errors;
   echo '</div>';
}
?>

<table class="widefat">
 <thead>
  <tr>
   <th scope="col" colspan="2"><?php _e( 'Keywords', 'imwb_covertstorecontent_pro' ); ?></th>
  </tr>
 </thead>
 <tbody style="display: table-row-group;">
 <tr valign="top"><td><b><?php _e( 'Enter one keyword/phrase per line. They will be selected in order for each posting run. Enclose keyword/phrase in double quotes (") for an exact search', 'imwb_covertstorecontent_pro' ); ?></b><br>
 <textarea id="imwb_covertstorecontent_pro_options[keywords]" name="imwb_covertstorecontent_pro_options[keywords]" rows=15><?php echo htmlspecialchars(stripslashes($this->options['keywords'])) ?>
 </textarea>
 	</td>	  
 </tr>
  
 </tbody>
</table>
<br>

<table class="widefat">
 <thead>
  <tr>
   <th scope="col" colspan="2"><?php _e( 'Post Creation', 'imwb_covertstorecontent_pro' ); ?></th>
  </tr>
 </thead>
 <tbody style="display: table-row-group;">
  <tr valign="top"><td width="400px"><?php _e( 'When adding new posts set status to', 'imwb_covertstorecontent_pro' ); ?></td>
 	<td><select id="imwb_covertstorecontent_pro_options[posttype]" class="regular-text" type="text" name="imwb_covertstorecontent_pro_options[posttype]" />
 	<?php 
 	 foreach ($post_options as $key => $value) {
 	    $selected = ($this->options['posttype'] == $key) ? " selected" : "";
 	    echo "<option value='{$key}'{$selected}>{$value['label']}</option>";
 	 }
 	?>
 	</select>
 	</td>	  
  </tr>
  <tr valign="top"><td width="400px"><?php _e( 'Automatically create tags - tags 3 characters or less are ignored', 'imwb_covertstorecontent_pro' ); ?></td>
  	<td><input id="imwb_covertstorecontent_pro_options[createtags]" type="checkbox" name="imwb_covertstorecontent_pro_options[createtags]" value="Y" <?php echo $this->options['createtags'] == "Y" ? "checked='Yes'" : "" ?> />  	</td>	  
  </tr>
  <tr valign="top"><td width="400px"><?php _e( 'Don\'t Create These Tags', 'imwb_covertstorecontent_pro' ); ?></td>
  	<td><textarea id="imwb_covertstorecontent_pro_options[badtags]" name="imwb_covertstorecontent_pro_options[badtags]" cols=80 rows=5><?php echo $this->options['badtags'] ?>
  	</textarea></td>	  
  </tr>
  <tr valign="top"><td width="400px"><?php _e( 'Add any available comments to post', 'imwb_covertstorecontent_pro' ); ?></td>
  	<td><input id="imwb_covertstorecontent_pro_options_addcomments" type="checkbox" name="imwb_covertstorecontent_pro_options[addcomments]" value="Y" <?php echo $this->options['addcomments'] == "Y" ? "checked='Yes'" : "" ?> /></td>	  
  </tr>
  <tr valign="top"><td width="400px"><?php _e( 'Randomize comments added to vary the number of comments per post.', 'imwb_covertstorecontent_pro' ); ?></td>
  	<td><input id="imwb_covertstorecontent_pro_options_randcomments" type="checkbox" name="imwb_covertstorecontent_pro_options[randcomments]" value="Y" <?php echo $this->options['randcomments'] == "Y" ? "checked='Yes'" : "" ?> /></td>	  
  </tr>
  <?php if (ini_get('allow_url_fopen') == true) { ?>
   <tr valign="top"><td width="400px"><?php _e( 'Store images locally on your server rather than hotlinked to their source', 'imwb_covertstorecontent_pro' ); ?></td>
   	<td><input id="imwb_covertstorecontent_pro_options[storeimg]" type="checkbox" name="imwb_covertstorecontent_pro_options[storeimg]" value="Y" <?php echo $this->options['storeimg'] == "Y" ? "checked='Yes'" : "" ?> /></td>	  
   </tr>
  <?php } ?>
 </tbody>
</table>

<br>
<table class="widefat">
 <thead>
  <tr>
   <th scope="col" colspan="2"><?php _e( 'Social Sharing', 'imwb_covertstorecontent_pro' ); ?></th>
  </tr>
 </thead>
 <tbody style="display: table-row-group;">
 <tr><td colspan="2"><?php _e( 'When autoblogging a new published post, you have the option to auto post to various social networks. Each network you want to use will need to be configured and authorized to make these posts. ', 'imwb_covertstorecontent_pro' ); ?></td>
 </tr>
 <tr>
  <td scope="col" colspan="2"><b><?php _e( 'Facebook', 'imwb_covertstorecontent_pro' ); ?></b></td>
 </tr>
<tr valign="top"><td width="400px"><?php _e( 'Facebook App ID', 'imwb_covertstorecontent_pro' ); ?><br><small><?php _e('Required to access the Graph API', 'imwb_covertstorecontent_pro' ); ?>. <?php _e('This is the App ID you obtain from the', 'imwb_covertstorecontent_pro' ); ?> <a href="https://developers.facebook.com/apps" target="_blank"><?php _e( 'App Dashboard', 'imwb_covertstorecontent_pro' ); ?> </a></small></td>

	<td><input id="imwb_covertstorecontent_pro_options[facebookappid]" type="text" name="imwb_covertstorecontent_pro_options[facebookappid]" value="<?php echo $this->options['facebookappid'] ?>" size="33">
	</td>	  
</tr>  
<tr valign="top"><td width="400px"><?php _e( 'Facebook App Secret', 'imwb_covertstorecontent_pro' ); ?><br><small><?php _e('Required to access the Graph API', 'imwb_covertstorecontent_pro' ); ?>. <?php _e('This is the App Secret you obtain from the', 'imwb_covertstorecontent_pro' ); ?> <a href="https://developers.facebook.com/apps" target="_blank"><?php _e( 'App Dashboard', 'imwb_covertstorecontent_pro' ); ?> </a></small></td>

	<td><input id="imwb_covertstorecontent_pro_options[facebookappsecret]" type="text" name="imwb_covertstorecontent_pro_options[facebookappsecret]" value="<?php echo $this->options['facebookappsecret'] ?>" size="33">
	</td>	  
</tr>  
<tr valign="top"><td width="400px"><?php _e( 'Facebook Authorisation', 'imwb_covertstorecontent_pro' ); ?><br><small><?php _e('Required to post updates to your wall', 'imwb_covertstorecontent_pro' ); ?>.</small></td>
<?php if($fb_user === false) { ?>
	<td><?php _e( 'You will need to enter the App Id and Secret and then save settings before you can authorize.', 'imwb_covertstorecontent_pro' ); ?>
	</td>	  
<?php } else if ($fb_user) {?>
<td>Your are currently authorised with Facebook. <a href="<?php echo $fb_logoutUrl; ?>"> Click Here To Remove Authorization</a>
</td>	 
<?php } else { ?>
<td>You now need to authorize Facebook so please <a href="<?php echo $fb_loginUrl; ?>">Connect with Facebook</a></td>
<?php } ?>
</tr>  
<?php if ($fb_user) {?>
<tr valign="top"><td width="400px"><?php _e( 'Wall/Page to post to', 'imwb_covertstorecontent_pro' ); ?></td>
<td>
<select name="imwb_covertstorecontent_pro_options[facebookwallid]">
<?php   
   $selected = ($this->options['facebookwallid'] == $fb_user) ? " selected" : "";
   echo '<option value="'.$fb_user.'" '.$selected.'>My Wall</option>';
//   foreach ($fb_userPages as $postResult) {
   $fb_userPages = $fb_userPages["data"];
   for($i=0;$i<sizeof($fb_userPages);$i++){
      $selected = ($this->options['facebookwallid'] == $fb_userPages[$i]["id"]) ? " selected" : "";
      echo '<option value="'.$fb_userPages[$i]["id"].'" '.$selected.'>'.$fb_userPages[$i]["name"].'</option>';
   }
?>
</select>
</td>
</tr>
<?php } ?>
<tr>
 <td scope="col" colspan="2"><b><?php _e( 'Twitter', 'imwb_covertstorecontent_pro' ); ?></b></td>
</tr>
<tr valign="top"><td width="400px"><?php _e( 'Consumer key', 'imwb_covertstorecontent_pro' ); ?><br><small><?php _e('Required to access the API', 'imwb_covertstorecontent_pro' ); ?>. <?php _e('Obtain this value from checking the settings page for your application on', 'imwb_covertstorecontent_pro' ); ?> <a href="http://dev.twitter.com/apps" target="_blank">http://dev.twitter.com/apps</a></small></td>

	<td><input id="imwb_covertstorecontent_pro_options[twitterconkey]" type="text" name="imwb_covertstorecontent_pro_options[twitterconkey]" value="<?php echo $this->options['twitterconkey'] ?>" size="33">
	</td>	  
</tr> 
<tr valign="top"><td width="400px"><?php _e( 'Consumer secret', 'imwb_covertstorecontent_pro' ); ?><br><small><?php _e('Required to access the API', 'imwb_covertstorecontent_pro' ); ?>. <?php _e('Obtain this value from the application details page on', 'imwb_covertstorecontent_pro' ); ?> <a href="http://dev.twitter.com/apps" target="_blank">http://dev.twitter.com/apps</a></small></td>

	<td><input id="imwb_covertstorecontent_pro_options[twitterconsecret]" type="text" name="imwb_covertstorecontent_pro_options[twitterconsecret]" value="<?php echo $this->options['twitterconsecret'] ?>" size="33">
	</td>	  
</tr> 
<tr valign="top"><td width="400px"><?php _e( 'Access token', 'imwb_covertstorecontent_pro' ); ?><br><small><?php _e('Required to access the API', 'imwb_covertstorecontent_pro' ); ?>. <?php _e('Obtain this value from the application details page on', 'imwb_covertstorecontent_pro' ); ?> <a href="http://dev.twitter.com/apps" target="_blank">http://dev.twitter.com/apps</a></small></td>

	<td><input id="imwb_covertstorecontent_pro_options[twitteraccesstoken]" type="text" name="imwb_covertstorecontent_pro_options[twitteraccesstoken]" value="<?php echo $this->options['twitteraccesstoken'] ?>" size="33">
	</td>	  
</tr> 
<tr valign="top"><td width="400px"><?php _e( 'Access token secret', 'imwb_covertstorecontent_pro' ); ?><br><small><?php _e('Required to access the API', 'imwb_covertstorecontent_pro' ); ?>. <?php _e('Obtain this value from the application details page on', 'imwb_covertstorecontent_pro' ); ?> <a href="http://dev.twitter.com/apps" target="_blank">http://dev.twitter.com/apps</a></small></td>

	<td><input id="imwb_covertstorecontent_pro_options[twitteraccesstokensec]" type="text" name="imwb_covertstorecontent_pro_options[twitteraccesstokensec]" value="<?php echo $this->options['twitteraccesstokensec'] ?>" size="33">
	</td>	  
</tr> 
</tbody>
</table>  
 
<br>
<table class="widefat">
<thead>
<tr>
 <th scope="col" colspan="2"><?php _e( 'Amazon Settings', 'imwb_covertstorecontent_pro' ); ?></th>
</tr>
</thead>
<tbody style="display: table-row-group;">
<tr valign="top"><td width="400px"><?php _e( 'Amazon Affiliate ID', 'imwb_covertstorecontent_pro' ); ?><br><small><?php _e('You will need to add your ID in order to earn commission', 'imwb_covertstorecontent_pro' ); ?></small></td>
	<td><input id="imwb_covertstorecontent_pro_options[amzaffid]" type="text" name="imwb_covertstorecontent_pro_options[amzaffid]" value="<?php echo $this->options['amzaffid'] ?>" size="30">
	</td>	  
</tr>
<tr valign="top"><td width="400px"><?php _e( 'API Access Key ID', 'imwb_covertstorecontent_pro' ); ?><br><small><?php _e('Required to access Amazon API.', 'imwb_covertstorecontent_pro' ); ?> <a href="http://aws-portal.amazon.com/gp/aws/developer/account/index.html" target="_blank"><?php _e( 'Click Here', 'imwb_covertstorecontent_pro' ); ?></a> <?php _e( 'for more information', 'imwb_covertstorecontent_pro' ); ?></small></td>
	<td><input id="imwb_covertstorecontent_pro_options[amzpubkey]" type="text" name="imwb_covertstorecontent_pro_options[amzpubkey]" value="<?php echo $this->options['amzpubkey'] ?>" size="30">
	</td>	  
</tr>
<tr valign="top"><td width="400px"><?php _e( 'API Secret Access Key', 'imwb_covertstorecontent_pro' ); ?><br><small><?php _e('Required to access Amazon API.', 'imwb_covertstorecontent_pro' ); ?> <a href="http://aws-portal.amazon.com/gp/aws/developer/account/index.html" target="_blank"><?php _e( 'Click Here', 'imwb_covertstorecontent_pro' ); ?></a> <?php _e( 'for more information', 'imwb_covertstorecontent_pro' ); ?></small></td>
	<td><input id="imwb_covertstorecontent_pro_options[amzprikey]" type="text" name="imwb_covertstorecontent_pro_options[amzprikey]" value="<?php echo $this->options['amzprikey'] ?>" size="30">
	</td>	  
</tr>
<tr valign="top"><td width="400px"><?php _e( 'Region', 'imwb_covertstorecontent_pro' ); ?></td>
	<td><select id="imwb_covertstorecontent_pro_options[amzregion]" class="regular-text" type="text" name="imwb_covertstorecontent_pro_options[amzregion]" />
	<?php 
	 foreach ($region_options as $key => $value) {
	    $selected = ($this->options['amzregion'] == $key) ? " selected" : "";
	    echo "<option value='{$key}'{$selected}>{$value['label']}</option>";
	 }
	?>
	</select>       	  	
	</td>	  
</tr>
<tr><td width="400px"><?php _e( 'Include Product Features in description', 'imwb_covertstorecontent_pro' ); ?></td>
	 <td><input id="imwb_covertstorecontent_pro_options[amzincfeatures]" type="checkbox" name="imwb_covertstorecontent_pro_options[amzincfeatures]" value="Y" <?php echo $this->options['amzincfeatures'] == "Y" ? "checked='Yes'" : "" ?> /> 
	 </td>
</tr> 
</tbody>
</table>

<br>
<table class="widefat">
 <thead>
  <tr>
   <th scope="col" colspan="2"><?php _e( 'Commission Junction', 'imwb_covertstorecontent_pro' ); ?></th>
  </tr>
 </thead>
  <tbody style="display: table-row-group;">
  <tr valign="top"><td width="400px"><?php _e( 'Developer Key', 'imwb_covertstorecontent_pro' ); ?><br><small><?php _e('Required to access Commission Junction API', 'imwb_covertstorecontent_pro' ); ?></small></td>
	<td><input id="imwb_covertstorecontent_pro_options[cjdevkey]" type="text" name="imwb_covertstorecontent_pro_options[cjdevkey]" value="<?php echo $this->options['cjdevkey'] ?>" size="33">
	</td>	  
  </tr>
<tr valign="top"><td width="400px"><?php _e( 'Website PID', 'imwb_covertstorecontent_pro' ); ?><br><small><?php _e('Required to access Commission Junction API', 'imwb_covertstorecontent_pro' ); ?></small></td>
	<td><input id="imwb_covertstorecontent_pro_options[cjwebpid]" type="text" name="imwb_covertstorecontent_pro_options[cjwebpid]" value="<?php echo $this->options['cjwebpid'] ?>" size="33">
	</td>	  
</tr>
</tbody>
</table>  

<br>
<table class="widefat">
 <thead>
  <tr>
   <th scope="col" colspan="2"><?php _e( 'eBay', 'imwb_covertstorecontent_pro' ); ?></th>
  </tr>
 </thead>
  <tbody style="display: table-row-group;">
  <tr valign="top"><td width="400px"><?php _e( 'Campaign ID', 'imwb_covertstorecontent_pro' ); ?><br><small><?php _e('You will need to add your ID in order to earn commission', 'imwb_covertstorecontent_pro' ); ?></small></td>
	<td><input id="imwb_covertstorecontent_pro_options[ebayid]" type="text" name="imwb_covertstorecontent_pro_options[ebayid]" value="<?php echo $this->options['ebayid'] ?>" size="33">
	</td>	  
  </tr>
<tr valign="top"><td width="400px"><?php _e( 'Application ID', 'imwb_covertstorecontent_pro' ); ?><br><small><?php _e('Required to access eBay API', 'imwb_covertstorecontent_pro' ); ?>. <?php _e('This is the application ID (AppID) you obtain from the', 'imwb_covertstorecontent_pro' ); ?> <a href="http://developer.ebay.com" target="_blank"><?php _e( 'eBay Developers Program', 'imwb_covertstorecontent_pro' ); ?> </a></small></td>

	<td><input id="imwb_covertstorecontent_pro_options[ebayappid]" type="text" name="imwb_covertstorecontent_pro_options[ebayappid]" value="<?php echo $this->options['ebayappid'] ?>" size="33">
	</td>	  
</tr>
<tr valign="top"><td width="400px"><?php _e( 'Region', 'imwb_covertstorecontent_pro' ); ?></td>
	<td><select id="imwb_covertstorecontent_pro_options[ebaysiteid]" class="regular-text" type="text" name="imwb_covertstorecontent_pro_options[ebaysiteid]" />
	<?php 
	 foreach ($ebay_country_options as $key => $value) {
	    $selected = ($this->options['ebaysiteid'] == $key) ? " selected" : "";
	    echo "<option value='{$key}'{$selected}>{$value['label']}</option>";
	 }
	?>
	</select>       	  	
	</td>	  
</tr>
</tbody>
</table> 
 
<div class="submit">
<input class="button-primary" type="submit" name="update_imwb_covertstorecontentSettings" value="<?php _e('Update Settings', 'imwb_covertstorecontent') ?>" />
</div>
</form>
 </div>
 </div>
 